<?php
/**
 * The file that defines the core plugin class
 *
 * @since      1.0.0
 *
 * @package    captain-widgets-kit
 * @subpackage captain-widgets-kit/includes
 */

/**
 * Exit if accessed directly.
 * */
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ! class_exists( 'Captwiki_Elementor' ) ) {

	/**
	 * It is Captwiki_Elementor Main Class
	 *
	 * @since 1.0.0
	 */
	class Captwiki_Elementor {

		/**
		 * Member Variable
		 *
		 * @var instance
		 */
		public static $instance;

		/**
		 * Initiator
		 *
		 * @since 1.0.0
		 */
		public static function get_instance() {
			if ( ! isset( self::$instance ) ) {
				self::$instance = new self();
			}

			return self::$instance;
		}

		/**
		 * Define the core functionality of the plugin.
		 *
		 * @since 1.0.0
		 */
		public function __construct() {
			include CAPTWIKI_PATH . 'includes/elementor/class-captwiki-widgets-load.php';
			include CAPTWIKI_PATH . 'includes/elementor/class-captwiki-extensions-main.php';
		}
	}

	Captwiki_Elementor::get_instance();
}
